﻿using UserManager.Application.Interfaces;

namespace UserManager.Infrastructure
{
    public class UnitOfWork(UserManagerContext context) : IUnitOfWork
    {
        private IUserRepository? _userRepository = null;
        public IUserRepository UserRepository => _userRepository ??= new UserRepository(context);

        public async Task<int> SaveChangesAsync()
        {
            return await context.SaveChangesAsync();
        }
    }
}
